class MutableSettings {
  constructor() {
    this.reactive = true
    this.themes = {}
    this.gtagId = null
  }
}
const settings = new MutableSettings()
export { settings }

export default class ImmutableSettings {
  static get reactive() {
    return settings.reactive
  }

  static get themes() {
    return settings.themes
  }

  static get env() {
    return process.env.NODE_ENV
  }

  static get appVersion() {
    return require('../package.json').version
  }

  // static get build() {
  //   switch (this.env) {
  //     case 'development':
  //       return new DevBuild()
  //     default:
  //       return new ProdBuild()
  //   }
  // }

  static get assetCdn() {
    return `${this.build.assetDomain}/${this.appVersion}`
  }

  static get apiHost() {
    return this.build.apiDomain
  }

  static get isDev() {
    return this.env == 'development'
  }
}
