export default class {
  static isObject(obj) {
    return typeof obj === 'object' && obj !== null
  }
  static isString(obj) {
    return typeof obj === 'string'
  }
  static isNumber(obj) {
    return typeof obj === 'number'
  }
  static isBoolean(obj) {
    return typeof obj === 'boolean'
  }
  static isArray(obj) {
    return this.isObject(obj) && Array.isArray(obj)
  }
  static isFunction(obj) {
    return typeof obj === 'function'
  }

  static ifObject(obj, command) {
    if (this.isObject(obj)) {
      command(obj)
    }
  }
  static ifString(obj, command) {
    if (this.isString(obj)) {
      command(obj)
    }
  }
  static ifNumber(obj, command) {
    if (this.isNumber(obj)) {
      command(obj)
    }
  }
  static ifBoolean(obj, command) {
    if (this.isBoolean(obj)) {
      command(obj)
    }
  }
  static ifArray(obj, command) {
    if (this.isArray(obj)) {
      command(obj)
    }
  }
  static ifFunction(obj, command) {
    if (this.isFunction(obj)) {
      command(obj)
    }
  }
}
